import { MatchStoryResult, EventMatchStoryActionProcessor, EventTransformEventParamsActionProcessor, EventTransformResponseResultActionProcessor, EventAutoRespondActionProcessor, ScheduledEventParams } from 'quidproquo-core';
import { LambdaRuntimeConfig } from '../../../runtimeConfig/QPQAWSResourceMap';
import { EventBridgeEvent, Context } from 'aws-lambda';
type MatchOptions = {};
type MatchConfig = any;
type EventBridgeEventMatchStoryResult = MatchStoryResult<MatchOptions, MatchConfig>;
declare const _default: (runtimeConfig: LambdaRuntimeConfig) => {
    "@quidproquo-core/event/TransformEventParams": EventTransformEventParamsActionProcessor<[EventBridgeEvent<any, any>, Context], ScheduledEventParams<any>>;
    "@quidproquo-core/event/TransformResponseResult": EventTransformResponseResultActionProcessor<any, any, any>;
    "@quidproquo-core/event/AutoRespond": EventAutoRespondActionProcessor<ScheduledEventParams<any>, EventBridgeEventMatchStoryResult, null>;
    "@quidproquo-core/event/MatchStory": EventMatchStoryActionProcessor<ScheduledEventParams<any>, EventBridgeEventMatchStoryResult>;
};
export default _default;
