import { QPQConfig, MatchStoryResult, EventMatchStoryActionProcessor, EventTransformEventParamsActionProcessor, EventTransformResponseResultActionProcessor, EventAutoRespondActionProcessor } from 'quidproquo-core';
import { StorageDriveEvent } from 'quidproquo-webserver';
import { S3Event, Context } from 'aws-lambda';
type EventInput = [S3Event, Context];
type MatchResult = MatchStoryResult<any, any>;
declare const _default: (qpqConfig: QPQConfig) => {
    "@quidproquo-core/event/TransformEventParams": EventTransformEventParamsActionProcessor<EventInput, StorageDriveEvent>;
    "@quidproquo-core/event/TransformResponseResult": EventTransformResponseResultActionProcessor<void, StorageDriveEvent, void>;
    "@quidproquo-core/event/AutoRespond": EventAutoRespondActionProcessor<StorageDriveEvent, MatchResult, boolean>;
    "@quidproquo-core/event/MatchStory": EventMatchStoryActionProcessor<StorageDriveEvent, MatchResult>;
};
export default _default;
