"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveStorageDriveBucketName = void 0;
const quidproquo_core_1 = require("quidproquo-core");
const awsNamingUtils_1 = require("../../../../awsNamingUtils");
const resolveStorageDriveBucketName = (drive, qpqConfig) => {
    var _a, _b;
    const storageDriveConfig = quidproquo_core_1.qpqCoreUtils.getStorageDriveByName(drive, qpqConfig);
    if (!storageDriveConfig) {
        throw new Error(`Could not find storage drive config for [${drive}]`);
    }
    return (0, awsNamingUtils_1.getConfigRuntimeResourceNameFromConfigWithServiceOverride)(((_a = storageDriveConfig.owner) === null || _a === void 0 ? void 0 : _a.resourceNameOverride) || drive, qpqConfig, (_b = storageDriveConfig.owner) === null || _b === void 0 ? void 0 : _b.module);
};
exports.resolveStorageDriveBucketName = resolveStorageDriveBucketName;
