import { AttributeValue } from '@aws-sdk/client-dynamodb';
import { KvsUpdate } from 'quidproquo-core';
interface ExpressionAttributeNameMap {
    [key: string]: string;
}
export declare const buildUpdateExpressionAttributeNames: (updates: KvsUpdate) => ExpressionAttributeNameMap;
export declare const buildUpdateExpressionAttributeValues: (updates: KvsUpdate) => {
    [key: string]: AttributeValue;
} | undefined;
export declare const buildDynamoUpdateExpression: (updates: KvsUpdate) => string;
export {};
